--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "\"2.0\""
- !ruby/object:RI::Constant 
  comment: 
  name: ENCRYPTION_PATH
  value: "\"/CryptHTTPS/Encrypt.asp\""
- !ruby/object:RI::Constant 
  comment: 
  name: DECRYPTION_PATH
  value: "\"/CryptHTTPS/Decrypt.asp\""
- !ruby/object:RI::Constant 
  comment: 
  name: DELIMITER
  value: "'*P1*'"
- !ruby/object:RI::Constant 
  comment: 
  name: CURRENCY_MAPPING
  value: "{             'EUR' => '242',             'ITL' => '18',             'BRL' => '234',             'USD' => '1',             'JPY' => '71',             'HKD' => '103'"
full_name: ActiveMerchant::Billing::Integrations::Gestpay::Common
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: parse_response
- !ruby/object:RI::MethodSummary 
  name: ssl_get
name: Common
superclass: 
